/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const a=require("vue"),v=require("@progress/kendo-date-math"),c=require("@progress/kendo-vue-common"),o=require("../utils/main.js"),h=require("../views/common/utils.js"),f=(s,t)=>{const e=v.cloneDate(s);return e.setHours(t.getHours(),t.getMinutes(),t.getSeconds(),t.getMilliseconds()),e},m=a.defineComponent({name:"KendoCurrentTimeMarkerArrow",props:{updateInterval:{type:Number,default:6e4},groupIndex:Number,vertical:Boolean,attachArrow:Object},inject:{ks:{default:null},bv:{default:null}},created(){this.interval=void 0,this.arrowRef=null},data(){return{show:!1}},mounted(){this.arrowRef=this.$el,this.position(),!(!this.ks.scheduler||!this.ks.scheduler.$el||!window)&&(clearInterval(this.interval),this.interval=window.setInterval(this.position,this.updateInterval),c.canUseDOM&&window.ResizeObserver&&(this.observer=new window.ResizeObserver(this.position),this.observer.observe(this.ks.scheduler.$el)))},unmounted(){this.observer&&this.observer.disconnect()},render(){return a.createVNode("div",{class:c.classNames("k-current-time",{"k-current-time-arrow-right":!this.$props.vertical&&this.$props.dir!=="rtl","k-current-time-arrow-left":!this.$props.vertical&&this.$props.dir==="rtl","k-current-time-arrow-down":this.$props.vertical}),style:{transform:this.$props.vertical?this.$props.dir==="rtl"?"translateX(50%)":"translateX(-50%)":"translateY(-50%)",visibility:this.show?void 0:"hidden"}},null)},methods:{position(){if(!this.bv.slots)return;const s=this.$props.groupIndex,t=this.bv.slots.filter(e=>(s==null||e.cSlot.group.index===s)&&(this.$props.vertical?o.intersects(new Date,new Date,e.cSlot.start,e.cSlot.end,!0):o.isInTimeRange(new Date,e.cSlot.start,e.cSlot.end))&&!e.isAllDay);if(t&&t.length&&this.$el){const e=o.first(t);if(!e)return;const r=h.getRect(e.$el),n=h.getRect(this.arrowRef),u=(this.$props.vertical?r.width:r.height)/(e.cSlot.end.getTime()-e.cSlot.start.getTime()),l=(Date.now()-f(new Date,e.cSlot.start).getTime())*u,p=this.$props.dir==="rtl",d=this.$props.vertical?r.top:r.top+l-n.height/2,i=p?"right":"left",w=this.$props.vertical?r[i]+l-n.width/2:r[i];this.$props.vertical?this.arrowRef.style[i]=`${w}px`:this.arrowRef.style.top=`${d}px`,this.show=!0}else this.show=!1}}});exports.CurrentTimeMarkerArrow=m;
