/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const e=require("vue"),i=require("@progress/kendo-vue-dialogs"),n=require("@progress/kendo-svg-icons"),o=require("@progress/kendo-vue-buttons"),s=e.defineComponent({name:"KendoSchedulerActionButtons",props:{editSaveMessage:String,editCancelMessage:String,onCancel:Function},inject:{kendoForm:{default:{}}},render(){return e.createVNode(i.DialogActionsBar,{class:"k-form-buttons",layout:"start"},{default:()=>[e.createVNode(o.Button,{type:"submit",themeColor:"primary",disabled:!this.kendoForm.allowSubmit,icon:"save",svgIcon:n.saveIcon,onClick:this.onSubmit},{default:()=>[this.editSaveMessage]}),e.createVNode(o.Button,{onClick:this.handleCancel,icon:"cancel",svgIcon:n.cancelIcon},{default:()=>[this.editCancelMessage]})]})},methods:{onSubmit(t){this.kendoForm.onSubmit(t)},handleCancel(t){this.$emit("cancel",t)}}});exports.SchedulerActionButtons=s;
