/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const n=require("vue"),s=require("@progress/kendo-vue-dialogs"),M=require("@progress/kendo-vue-intl"),o=require("../messages/main.js"),O=require("@progress/kendo-vue-common"),l=require("@progress/kendo-vue-buttons");function a(e){return typeof e=="function"||Object.prototype.toString.call(e)==="[object Object]"&&!n.isVNode(e)}const D=n.defineComponent({name:"KendoSchedulerOccurrenceDialog",props:{dataItem:Object,isRemove:Boolean,onClose:Function,onOccurrenceclose:Function,onSeriesclose:Function},inject:{kendoLocalizationService:{default:null}},created(){this.dialogId=O.guid()},mounted(){setTimeout(()=>{const e=document.getElementById(this.dialogId);e&&e.focus()},10)},setup(){return{kendoLocalizationService:n.inject("kendoLocalizationService",{})}},render(){const{isRemove:e}=this.$props,u=M.provideLocalizationService(this),t=r=>u.toLanguageString(r,o.messages[r]),d=t(o.editorOccurrence),g=t(o.editorSeries),m=t(o.editorRecurringConfirmation),h=t(o.editorRecurringDialogTitle),S=t(o.deleteOccurrence),f=t(o.deleteSeries),p=t(o.deleteRecurringDialogTitle),C=t(o.deleteRecurringConfirmation),k=e?p:h,v=e?C:m,i=e?S:d,c=e?f:g;return n.createVNode(s.Dialog,{title:k,appendTo:"body",wrapperId:this.dialogId,onClose:this.handleClose},{default:()=>[v,n.createVNode(s.DialogActionsBar,null,{default:()=>[n.createVNode(l.Button,{onClick:this.handleOccurrenceClick},a(i)?i:{default:()=>[i]}),n.createVNode(l.Button,{onClick:this.handleSeriesClick},a(c)?c:{default:()=>[c]})]})]})},methods:{handleClose({event:e}){this.$emit("close",{event:e,value:null})},handleSeriesClick(e){this.$emit("seriesclose",{event:e,value:null})},handleOccurrenceClick(e){this.$emit("occurrenceclose",{event:e,value:null})}}});exports.SchedulerOccurrenceDialog=D;
