/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("vue"),a=require("@progress/kendo-vue-dialogs"),s=require("@progress/kendo-vue-intl"),o=require("../messages/main.js"),l=require("@progress/kendo-vue-buttons"),u=require("@progress/kendo-vue-common");function r(e){return typeof e=="function"||Object.prototype.toString.call(e)==="[object Object]"&&!t.isVNode(e)}const g=t.defineComponent({name:"KendoSchedulerRemoveDialog",props:{dataItem:Object,onClose:Function,onCancel:Function,onConfirm:Function},inject:{kendoLocalizationService:{default:null}},created(){this.dialogId=u.guid()},mounted(){setTimeout(()=>{const e=document.getElementById(this.dialogId);e&&e.focus()},10)},setup(){return{kendoLocalizationService:t.inject("kendoLocalizationService",{})}},render(){const e=s.provideLocalizationService(this),n=e.toLanguageString(o.editorCancel,o.messages[o.editorCancel]),i=e.toLanguageString(o.editorDelete,o.messages[o.editorDelete]),c=e.toLanguageString(o.deleteConfirmation,o.messages[o.deleteConfirmation]),d=e.toLanguageString(o.deleteDialogTitle,o.messages[o.deleteDialogTitle]);return t.createVNode(a.Dialog,{title:d,appendTo:"body",wrapperId:this.dialogId,onClose:this.handleClose},{default:()=>[c,t.createVNode(a.DialogActionsBar,null,{default:()=>[t.createVNode(l.Button,{onClick:this.handleCancel},r(n)?n:{default:()=>[n]}),t.createVNode(l.Button,{onClick:this.handleConfirm},r(i)?i:{default:()=>[i]})]})]})},methods:{handleClose({event:e}){this.$emit("close",{event:e})},handleCancel(e){this.$emit("cancel",{event:e,value:null})},handleConfirm(e){this.$emit("confirm",{event:e,value:null})}}});exports.SchedulerRemoveDialog=g;
