/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const i=require("vue"),u=require("@progress/kendo-vue-buttons"),m=require("./ViewSelectorItem.js"),h=require("@progress/kendo-vue-intl"),o=require("../../../messages/main.js"),c=require("@progress/kendo-vue-common");function w(t){return typeof t=="function"||Object.prototype.toString.call(t)==="[object Object]"&&!i.isVNode(t)}const k=i.defineComponent({name:"KendoViewSelectorList",inject:{kendoLocalizationService:{default:null},ks:{default:null},setActiveViewName:{default:null}},mounted(){this.calculateMedia(),c.canUseDOM&&window.ResizeObserver&&(this.observer=new window.ResizeObserver(this.calculateMedia),this.ks.scheduler&&this.ks.scheduler.$el&&this.observer.observe(this.ks.scheduler.$el))},unmounted(){this.observer&&this.observer.disconnect()},data(){return{media:"desktop"}},render(){let t;const n=this.ks.views;this.localization=h.provideLocalizationService(this);const s=n.find(e=>e.name===this.ks.activeViewName),a="scheduler."+s.name+"ViewTitle";this.localization.toLanguageString(a,o.messages[a])||s.name;const d=function(){return i.createVNode("select",{"tab-index":-1,class:"k-views-dropdown k-dropdown k-picker k-picker-solid k-rounded-md k-picker-md","aria-label":this.localization.toLanguageString(o.dropdownlistSelectViewAriaLabel,o.messages[o.dropdownlistSelectViewAriaLabel]),onChange:this.ddlChange},[n.map(function(e){const r="scheduler."+e.name+"ViewTitle",l=this.localization.toLanguageString(r,o.messages[r])||e.name;return i.createVNode("option",{value:e.name||e.title||l,selected:e.name===this.ks.activeViewName},[e.title||l])},this)])};return s&&this.media==="mobile"?d.call(this):i.createVNode(u.ButtonGroup,{class:"k-toolbar-button-group k-scheduler-views"},w(t=n.map(function(e){return i.createVNode(m.ViewSelectorItem,{key:e.name,view:e},null)},this))?t:{default:()=>[t]})},methods:{ddlChange(t){this.setActiveViewName(t.target.value)},calculateMedia(){c.canUseDOM&&window.matchMedia&&(this.media=window.matchMedia("(min-width: 1024px)").matches?"desktop":"mobile")}}});exports.ViewSelectorList=k;
