/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("vue"),a=require("@progress/kendo-data-query"),n=require("@progress/kendo-vue-dropdowns"),i=t.defineComponent({name:"KendoFilterableComboBox",props:{value:[String,Number,Object],dataItems:Array,validationMessage:String,touched:Boolean,modified:Boolean,visited:Boolean,valid:Boolean,name:String},data(){return{filteredData:this.$props.dataItems}},setup(){return{kendoLocalizationService:t.inject("kendoLocalizationService",{})}},render(){return this.$props,t.createVNode(n.ComboBox,{dataItems:this.filteredData,filterable:!0,onFilterchange:this.onFilterChange,onChange:this.onValueChange},null)},methods:{onValueChange(e){this.$emit("change",e)},onFilterChange(e){const o=a.filterBy(this.$props.dataItems||[],e.filter);this.filteredData=o}}});exports.FilterableComboBox=i;
