/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const a=require("vue"),r=require("@progress/kendo-vue-dropdowns"),m=require("../utils/main.js"),h=a.defineComponent({name:"KendoResourceEditor",emits:{change:null},props:{resource:Object,dataItems:Array,textField:String,valueField:String,colorField:String,multiple:Boolean,validationMessage:String,value:[String,Number,Object],touched:Boolean,modified:Boolean,visited:Boolean,valid:Boolean,name:String},render(){const{colorField:t,textField:i,valueField:o}=this.$props,s=Array.isArray(this.$props.value)?this.$props.dataItems.filter(l=>this.$props.value.some(n=>l[this.$props.valueField]===n)):this.$props.dataItems.find(l=>l[this.$props.valueField]===this.$props.value),d=this.$props.multiple?r.MultiSelect:r.DropDownList,u=function(l,n,e){return a.createVNode("span",{class:"k-input-inner"},[t&&e.value&&a.createVNode("span",{key:1,class:"k-scheduler-mark",style:{backgroundColor:e.value[t],marginRight:e.value[o]?"8px":"4px"}},null),e.value&&e.value[i]])},c=function(l,n,e,p){return a.createVNode("li",{class:{"k-item":!0,...e.itemClass},onClick:p.onClick},[t&&a.createVNode("span",{key:1,class:"k-scheduler-mark",style:{backgroundColor:e.dataItem[t],marginRight:m.isPresent(e.dataItem[o])?"8px":"4px"}},null),e.dataItem[i]])};return a.createVNode(d,{value:s,onChange:this.handleChange,dataItems:this.$props.dataItems,textField:this.$props.textField,dataItemKey:this.$props.valueField,valid:this.$props.valid,validationMessage:this.$props.validationMessage,itemRender:c,valueRender:u},null)},methods:{handleChange(t){const i=t.component.$props.dataItemKey,o=this.$props.multiple?(t.value||[]).map(s=>s[i]):t.value[i];this.$emit("change",{value:o})}}});exports.ResourceEditor=h;
