/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const n=require("@progress/kendo-vue-dateinputs"),o=require("@progress/kendo-date-math"),a=require("vue"),d=a.defineComponent({name:"KendoZonedDateTime",emits:{change:null},props:{...n.DateTimePicker.props,value:[String,Date],isAllDay:Boolean,as:[String,Function,Object]},inject:{ks:{default:null}},render(){const{as:e,...t}=this.$props,i=this.ks.timezone,r={...t,format:this.isAllDay?"d":"g",value:this.readDateAsLocal(t.value,i)},s=this.isAllDay?n.DatePicker:n.DateTimePicker;return a.h(s,{onChange:this.handleChange,...r})},methods:{handleChange(e){this.$emit("change",{value:this.readDateWithTimezone(e.target.value,this.ks.timezone)})},readDateAsLocal(e,t){return e&&o.toLocalDate(o.ZonedDate.fromLocalDate(e,t).toUTCDate())},readDateWithTimezone(e,t){return e&&o.ZonedDate.fromUTCDate(new Date(Date.UTC(e.getFullYear(),e.getMonth(),e.getDate(),e.getHours(),e.getMinutes(),e.getSeconds(),e.getMilliseconds())),t).toLocalDate()}}});exports.ZonedDateTime=d;
