/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { findNextItem as i } from "../utils/main.mjs";
let s = /* @__PURE__ */ function(e) {
  return e.select = "ITEMS_SELECT_SELECT", e.selectNext = "ITEMS_SELECT_SELECT_NEXT", e.selectPrev = "ITEMS_SELECT_SELECT_PREV", e.reset = "ITEMS_SELECT_RESET", e.add = "ITEMS_SELECT_ADD", e.remove = "ITEMS_SELECT_REMOVE", e;
}({});
const l = function(e, r) {
  switch (e.type) {
    case s.select:
      if (!e.item)
        return;
      this.bv.selectedItems = [e.item];
      break;
    case s.selectNext: {
      if (!e.item || !this.bv.items)
        return;
      const t = i(e.item, this.bv.items, e.ignoreIsAllDay, !1);
      t && (r.preventDefault(), this.bv.selectedItems = [t]);
      break;
    }
    case s.selectPrev: {
      if (!e.item || !this.bv.items)
        return;
      const t = i(e.item, this.bv.items, e.ignoreIsAllDay, !0);
      t && (r.preventDefault(), this.bv.selectedItems = [t]);
      break;
    }
    case s.reset:
      this.bv.selectedItems = [];
      break;
    case s.add:
      if (!e.item)
        return;
      this.bv.selectedItems.some((t) => t === e.item) || (this.bv.selectedItems = [...this.bv.selectedItems, e.item]);
      break;
    case s.remove:
      if (!e.item)
        return;
      this.bv.selectedItems = [...this.bv.selectedItems.filter((t) => t !== e.item)];
      break;
  }
};
export {
  s as ITEMS_SELECT_ACTION,
  l as dispatchSelectedItems
};
