/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
let s = /* @__PURE__ */ function(e) {
  return e.select = "SLOTS_SELECT_SELECT", e.reset = "SLOTS_SELECT_RESET", e.add = "SLOTS_SELECT_ADD", e;
}({});
const l = function(e) {
  switch (e.type) {
    case s.select:
      if (!e.slot)
        return;
      this.bv.selectedSlots = [e.slot];
      break;
    case s.reset:
      this.bv.selectedSlots = [];
      break;
    case s.add:
      if (!e.slot)
        return;
      this.bv.selectedSlots.some((t) => t === e.slot) || (this.bv.selectedSlots = [...this.bv.selectedSlots, e.slot]);
      break;
  }
};
export {
  s as SLOTS_SELECT_ACTION,
  l as dispatchSelectedSlots
};
