/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as t, createVNode as o } from "vue";
import { getDefaultSlots as n } from "@progress/kendo-vue-common";
const i = /* @__PURE__ */ t({
  name: "KendoSchedulerItemContent",
  props: {
    title: String
  },
  render() {
    const e = n(this);
    return o("div", {
      class: "k-event-template"
    }, [this.title, e]);
  }
});
export {
  i as SchedulerItemContent
};
