/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { intersects as I } from "../utils/main.mjs";
import { orderBy as h } from "@progress/kendo-data-query";
import { ZonedDate as f } from "@progress/kendo-date-math";
const L = (l, { timezone: t }, { groups: i, ranges: a }) => {
  const o = [];
  return h(
    l,
    [
      { field: "start", dir: "asc" },
      { field: "end", dir: "desc" },
      { field: "isAllDay", dir: "desc" }
    ]
  ).forEach((d) => {
    i.forEach((e) => {
      const n = i.length === 1 ? R(d, e) : e;
      E(d, n) && a.forEach((s) => {
        if (B(d, s)) {
          const m = {}, p = {}, D = s.end < d.end, r = d.start < s.start, y = f.fromLocalDate(d.start, t), v = f.fromLocalDate(d.end, t), A = {
            ...d,
            refTo: p,
            itemRef: m,
            head: D,
            tail: r,
            order: null,
            zonedStart: y,
            zonedEnd: v,
            group: n,
            range: s,
            slots: [],
            isRecurring: !!d.recurrenceRule,
            isException: !d.recurrenceRule && d.recurrenceId !== null && d.recurrenceId !== void 0,
            isAllDay: !!d.isAllDay
          };
          o.push(A);
        }
      });
    });
  }), o;
}, R = (l, t) => ({
  index: 0,
  resources: t.resources.filter((i) => u(l, i))
}), u = (l, t) => t.multiple ? (l.dataItem[t.field] || []).some((i) => t[t.valueField] === i) : l.dataItem[t.field] === t[t.valueField], E = (l, t) => !t.resources.some((i) => i.multiple ? !l.dataItem[i.field].some((a) => i[i.valueField] === a) : l.dataItem[i.field] !== i[i.valueField]), B = (l, t) => I(t.start, t.end, l.start, l.end) && (t.isAllDay === void 0 || l.isAllDay === void 0 || l.isAllDay === t.isAllDay);
export {
  E as inGroup,
  B as inRange,
  L as toItems
};
