/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as o, createVNode as e } from "vue";
import { provideLocalizationService as a } from "@progress/kendo-vue-intl";
import { dateTitle as n, messages as t, timeTitle as i, eventTitle as r } from "../../messages/main.mjs";
const u = /* @__PURE__ */ o({
  name: "KendoAgendaViewHead",
  props: {
    monthSlots: Array,
    dateHeaderCell: [String, Function, Object]
  },
  inject: {
    ri: {
      default: null
    },
    kendoLocalizationService: {
      default: null
    },
    ks: {
      default: null
    }
  },
  render() {
    const l = a(this);
    return e("div", {
      class: "k-scheduler-row",
      key: this.ri.groupIndex
    }, [e("div", {
      class: "k-scheduler-cell k-heading-cell k-group-cell k-scheduler-datecolumn"
    }, [l.toLanguageString(n, t[n])]), e("div", {
      class: "k-scheduler-cell k-heading-cell k-group-cell k-scheduler-timecolumn"
    }, [l.toLanguageString(i, t[i])]), e("div", {
      class: "k-scheduler-cell k-heading-cell k-scheduler-eventcolumn"
    }, [l.toLanguageString(r, t[r])])]);
  }
});
export {
  u as AgendaViewHead
};
