/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("vue"),o=require("../../items/SchedulerItem.js"),c=require("../../items/SchedulerViewItem.js"),i=require("../../utils/main.js"),u=require("../../services/occurrenceService.js"),a=require("../../services/itemsService.js"),l=t.defineComponent({name:"KendoSchedulerDrag",inheritAttrs:!1,props:{ignoreIsAllDay:Boolean,dataItem:Object,vertical:Boolean,viewItem:[String,Function,Object],item:{type:Object,default:function(){return o.SchedulerItem}}},inject:{ks:{default:null},bv:{default:null}},computed:{occurrences(){return u.toOccurrences([this.$props.dataItem],{dateRange:this.ks.dateRange,fields:this.ks.fields,timezone:this.ks.timezone})},items(){return a.toItems(this.occurrences,{timezone:this.ks.timezone},{groups:this.ks.groups,ranges:this.bv.ranges})}},render(){const n=(this.bv.slots||[]).map(e=>e);i.mapItemsToSlots(this.items,n);const r=this.items;return r.length?r.map(function(e,s){return t.createVNode(c.SchedulerViewItem,{key:s,uid:e.uid,start:e.start,end:e.end,originalStart:e.originalStart,startTimezone:e.startTimezone,endTimezone:e.endTimezone,isAllDay:e.isAllDay,title:e.title,description:e.description,occurrenceId:e.occurrenceId,recurrenceExceptions:e.recurrenceExceptions,recurrenceRule:e.recurrenceRule,recurrenceId:e.recurrenceId,dataItem:e.dataItem,itemRef:e.itemRef,head:e.head,tail:e.tail,order:e.order,zonedStart:e.zonedStart,zonedEnd:e.zonedEnd,slots:e.slots,group:e.group,range:e.range,isException:e.isException,isRecurring:e.isRecurring,dragHint:!0,vertical:this.$props.vertical,ignoreIsAllDay:this.$props.ignoreIsAllDay},null)},this):null}});exports.SchedulerDrag=l;
