/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const i=require("vue"),d=require("../../slots/SchedulerEditSlot.js"),s=require("../../utils/main.js"),c=require("../../components/CurrentTimeMarker.js"),h=i.defineComponent({name:"KendoTimelineViewBody",props:{currentTimeMarker:{type:Boolean,default:!0},groupIndex:Number,timelineSlots:Array,ranges:Array,workDayStart:Date,workDayEnd:Date,editable:[Object,Boolean],slotRender:[String,Function,Object],viewSlot:[String,Function,Object],onDataaction:Function},inject:{ri:{default:null},ks:{default:null},setSlots:{default:null}},provide(){return{ksSlots:this.ksSlots}},data(){const e=this.timelineSlots,t=this.groupIndex!==void 0?this.groupIndex:this.ri.groupIndex;return{ksSlots:{cSlots:this.calculateRanges(e,t,this.ranges)}}},watch:{currentCellSlots(e){this.ksSlots.cSlots=e}},computed:{currentCellSlots(){const e=this.timelineSlots,t=this.groupIndex!==void 0?this.groupIndex:this.ri.groupIndex;return this.calculateRanges(e,t,this.ranges)}},render(){const e=this,t=this.ks.orientation,r=this.ranges,o=this.groupIndex!==void 0?this.groupIndex:this.ri.groupIndex,a=this.$props.editable;return i.createVNode("div",{class:"k-scheduler-row"},[this.currentCellSlots.map(function(n,l,u){return i.createVNode(d.SchedulerEditSlot,{slotRender:e.$props.slotRender,viewSlot:e.$props.viewSlot,index:l,form:e.$props.form,onDataaction:e.handleDataAction,isWorkHour:s.isInTimeRange(n.zonedStart,e.workDayStart,e.workDayEnd),col:t==="horizontal"?n.range.index*u.length+l+u.length*r.length*(o||0):n.range.index*u.length+l,row:t==="horizontal"?0:o||0,expandable:!0,editable:a},null)},this),this.$props.currentTimeMarker&&s.intersects(s.first(r).start,s.last(r).end,new Date,new Date,!0)&&i.createVNode(c.CurrentTimeMarker,{groupIndex:o,vertical:!0},null)])},methods:{handleDataAction(e){this.$emit("dataaction",e)},calculateRanges(e,t,r){return r.map((o,a)=>e.filter(n=>n.group.index===t&&n.range.index===a)).flat()}}});exports.TimelineViewBody=h;
