<a href="https://www.telerik.com/kendo-vue-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler&utm_content=banner" target="_blank">
<img src="https://www.telerik.com/kendo-vue-ui/npm-banner.svg" alt="Kendo UI for Vue NPM Banner">
</a>

# Kendo UI for Vue Scheduler Package

> **Important**
> * This package is а part of [Kendo UI for Vue](https://www.telerik.com/kendo-vue-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)&mdash;a commercial UI library.
> * You will need to install a license key when adding the package to your project. For more information, please refer to the [Kendo UI for Vue My License page](https://www.telerik.com/kendo-vue-ui/my-license/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler).
> * To receive a license key, you need to either [purchase a license](https://www.telerik.com/purchase/kendo-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-vue-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler). Doing so indicates that you [accept the Kendo UI for Vue License Agreement](https://www.telerik.com/purchase/license-agreement/progress-kendovue?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler).
> * The 30-day free trial gives you access to all the Kendo UI for Vue components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Vue dev team!
>
> [Start using Kendo UI for Vue](https://www.telerik.com/download-login-v2-kendo-vue-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler) and speed up your development process!

The Kendo UI for Vue Scheduler provides out-of-the-box support for timezone conversion, resources visualization, grouping, editing, and recurring events.

## Vue Scheduler

> Starting with **version 6.0.0**, Kendo UI for Vue Native components no longer support Vue 2. Please check our [Vue 2 End of Support article](https://www.telerik.com/kendo-vue-ui/components/vue2-deprecation/) for more details.

The Kendo UI for Vue Scheduler component is built on Vue from the ground up by developers with 19+ years of experience in making enterprise-ready components. This results in a Vue scheduling component that delivers lightning fast performance and is highly customizable.

Among the many features which the Kendo UI for Vue Scheduler delivers are:

* [Multiple views](https://www.telerik.com/kendo-vue-ui/components/scheduler/views/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)&mdash;You can display the Scheduler events in any of the available Timeline, Day, Week, Month, or Agenda views.
* [Editing](https://www.telerik.com/kendo-vue-ui/components/scheduler/editing/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)&mdash;You can create, update, and delete events displayed by the Scheduler allowing for a fast and easy rescheduling.
* [Grouping](https://www.telerik.com/kendo-vue-ui/components/scheduler/grouping/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)&mdash;The Scheduler enables grouping by different resources like meeting rooms, teams, and more, which provides a nice arrangement of the events within the same group.
* [Resources](https://www.telerik.com/kendo-vue-ui/components/scheduler/resources/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)&mdash;Define different custom resources such as available conference rooms or guest lists for the Scheduler to work with.
* [Recurring events](https://www.telerik.com/kendo-vue-ui/components/scheduler/recurring/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)&mdash;You can schedule a recurring event that will occur on a specific day, for example, each Monday during the next year.
* [Controlled and uncontrolled mode for the date selection](https://www.telerik.com/kendo-vue-ui/components/scheduler/date-selection/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)&mdash;This capability allows you to completely override the date selection from outside the Scheduler.
* [Timezones](https://www.telerik.com/kendo-vue-ui/components/scheduler/timezones/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)&mdash;You can display the events in the Scheduler in different timezones when building multinational applications.
* [Globalization](https://www.telerik.com/kendo-vue-ui/components/scheduler/timezones/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)&mdash;The globalization process combines the translation of component messages with adapting them to specific cultures
* [Theme support](https://www.telerik.com/kendo-vue-ui/components/styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)&mdash;The Kendo UI for Vue Scheduler, as well as all 100+ components in the Kendo UI for Vue suite, are styled in four polished themes (Bootstrap, Material, Default and Fluent) and can be further customized to match your specific design guidelines.

## Support Options

For any issues you might encounter while working with the Kendo UI for Vue Scheduler, use any of the available support channels:

* Industry-leading technical support&mdash;Kendo UI for Vue paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use [the dedicated Kendo UI for Vue support system](https://www.telerik.com/account/support-tickets?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler).
* Product forums&mdash;The [Kendo UI for Vue forums](https://www.telerik.com/forums/kendo-ui-vue?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler) are part of the free support you can get from the community and from the Kendo UI for Vue team.
* Feedback portal&mdash;The [Kendo UI for Vue feedback portal](https://feedback.telerik.com/kendo-vue-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Vue](https://www.telerik.com/kendo-vue-ui/getting-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)
* [Getting Started with the Kendo UI for Vue Scheduler](https://www.telerik.com/kendo-vue-ui/components/scheduler/get-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)
* [API Reference of the Kendo UI for Vue Scheduler](https://www.telerik.com/kendo-vue-ui/components/scheduler/api/SchedulerProps/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)
* [Kendo UI for Vue Roadmap](https://www.telerik.com/support/whats-new/kendo-vue-ui/roadmap/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)
* [Blogs](https://www.telerik.com/blogs/web-vue?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-vue-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)
* [Kendo UI for Vue pricing and licensing](https://www.telerik.com/purchase/kendo-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-vue-trial-npm-scheduler)

*Copyright © 2025 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
