/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const c=require("vue"),l=require("../hooks/use-items-selection.js"),i=require("../hooks/use-slots-selection.js"),o=require("@progress/kendo-vue-common"),s=require("../utils/main.js"),d=require("../hooks/useCellSync.js"),r=require("../hooks/use-items-focus.js"),a=require("../hooks/use-slots-focus.js"),h=c.defineComponent({name:"KendoBaseView",props:{viewProps:Object,baseSlots:Array,ranges:Array,id:String,isAgendaView:{type:Boolean,default:!1}},provide(){return{bv:this.bv,setItems:this.dispatchItems,setSlots:this.dispatchSlots,dispatchSelectedSlots:this.handleSchedulerSlotsSelectAction,dispatchSelectedItems:this.handleSchedulerItemsSelectAction,dispatchFocusedItems:this.setFocusedItems,dispatchFocusedSlots:this.setFocusedSlots}},data(){return{bv:{viewProps:this.viewProps,ranges:this.ranges,items:[],slots:[],focusedItems:[],focusedSlots:[],selectedItems:[],selectedSlots:[]}}},mounted(){this.syncCells()},updated(){this.syncCells()},render(){const e=o.getDefaultSlots(this);return c.createVNode("div",{class:"k-scheduler-layout k-scheduler-layout-flex",role:this.$props.isAgendaView?"grid":"presentation"},[e])},methods:{syncCells(){d.useCellSync({element:this.$el,selector:".k-group-cell",attribute:"data-depth-index",explicitDepth:!0}),d.useCellSync({element:this.$el,selector:".k-side-cell",attribute:"data-depth-index",explicitDepth:!1})},handleSchedulerItemsSelectAction(e,t){i.dispatchSelectedSlots.call(this,{type:i.SLOTS_SELECT_ACTION.reset}),l.dispatchSelectedItems.call(this,e,t)},handleSchedulerSlotsSelectAction(e,t){l.dispatchSelectedItems.call(this,{type:l.ITEMS_SELECT_ACTION.reset},t),i.dispatchSelectedSlots.call(this,e)},setFocusedItems(e,t){r.dispatchFocusedItems.call(this,e,t)},setFocusedSlots(e,t){a.dispatchFocusedSlots.call(this,e,t)},dispatchItems(e){let t;switch(e.type){case s.COLLECTION_ACTION.add:this.bv.items.push(e.item);break;case s.COLLECTION_ACTION.remove:t=this.bv.items.indexOf(e.item),this.bv.items.splice(t,1);break}},dispatchSlots(e){let t;switch(e.type){case s.COLLECTION_ACTION.add:this.bv.slots.push(e.item);break;case s.COLLECTION_ACTION.remove:t=this.bv.slots.indexOf(e.item),this.bv.slots.splice(t,1);break}}}});exports.BaseView=h;
