/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as e, createVNode as t, isVNode as r } from "vue";
import { getDefaultSlots as n } from "@progress/kendo-vue-common";
import { Toolbar as l } from "@progress/kendo-vue-buttons";
function c(o) {
  return typeof o == "function" || Object.prototype.toString.call(o) === "[object Object]" && !r(o);
}
const u = /* @__PURE__ */ e({
  name: "KendoSchedulerFooter",
  render() {
    const o = n(this);
    return t(l, {
      overflow: "none",
      class: "k-scheduler-footer",
      style: {
        boxShadow: "none"
      }
    }, c(o) ? o : {
      default: () => [o]
    });
  }
});
export {
  u as SchedulerFooter
};
