/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const o=require("vue"),n=require("@progress/kendo-vue-buttons"),c=require("@progress/kendo-vue-common"),e=require("../../../messages/main.js"),r=require("@progress/kendo-vue-intl"),i=require("@progress/kendo-svg-icons");function s(t){return typeof t=="function"||Object.prototype.toString.call(t)==="[object Object]"&&!o.isVNode(t)}const u=o.defineComponent({name:"KendoSchedulerNavigation",props:{isRtl:Boolean,onPrevclick:Function,onNextclick:Function,onTodayclick:Function},inject:{ks:{default:null},kendoLocalizationService:{default:null}},render(){c.getDefaultSlots(this),this.localization=r.provideLocalizationService(this);const t=this.localization.toLanguageString(e.today,e.messages[e.today]),l=this.localization.toLanguageString(e.previousTitle,e.messages[e.previousTitle]),a=this.localization.toLanguageString(e.nextTitle,e.messages[e.nextTitle]);return o.createVNode(n.ToolbarItem,null,{default:()=>[o.createVNode(n.ButtonGroup,{class:"k-scheduler-navigation"},{default:()=>[o.createVNode(n.Button,{role:"button",class:"k-nav-today",tabIndex:-1,title:t,"aria-label":t,onClick:this.handleTodayClick},s(t)?t:{default:()=>[t]}),o.createVNode(n.Button,{role:"button",tabIndex:-1,class:"k-button-icon k-nav-prev",icon:this.isRtl?"caret-alt-right":"caret-alt-left",svgIcon:this.isRtl?i.caretAltRightIcon:i.caretAltLeftIcon,title:l,"aria-label":l,onClick:this.handlePrevClick},null),o.createVNode(n.Button,{role:"button",tabIndex:-1,class:"k-button-icon k-nav-next",icon:this.isRtl?"caret-alt-left":"caret-alt-right",svgIcon:this.isRtl?i.caretAltLeftIcon:i.caretAltRightIcon,title:a,"aria-label":a,onClick:this.handleNextClick},null)]})]})},methods:{handleTodayClick(t){this.$emit("todayclick",t)},handlePrevClick(t){this.$emit("prevclick",t)},handleNextClick(t){this.$emit("nextclick",t)}}});exports.SchedulerNavigation=u;
