/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { findNextItem as i, findCurrentItem as m } from "../utils/main.mjs";
let r = /* @__PURE__ */ function(e) {
  return e.current = "ITEMS_FOCUS_CURRENT", e.next = "ITEMS_FOCUS_NEXT", e.prev = "ITEMS_FOCUS_PREV", e;
}({});
const f = function(e, s) {
  switch (e.type) {
    case r.current: {
      if (!e.item || !this.bv.items)
        return;
      const t = m(e.item, this.bv.items, e.ignoreIsAllDay);
      t && t.element && (s.preventDefault(), t.element.focus());
      break;
    }
    case r.next: {
      if (!e.item || !this.bv.items)
        return;
      const t = i(e.item, this.bv.items, e.ignoreIsAllDay, !1);
      t && t.element && (s.preventDefault(), t.element.focus());
      break;
    }
    case r.prev: {
      if (!e.item || !this.bv.items)
        return;
      const t = i(e.item, this.bv.items, e.ignoreIsAllDay, !0);
      t && t.element && (s.preventDefault(), t.element.focus());
      break;
    }
  }
};
export {
  r as ITEMS_FOCUS_ACTION,
  f as dispatchFocusedItems
};
