/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
let t = /* @__PURE__ */ function(l) {
  return l.up = "SLOT_FOCUS_UP", l.down = "SLOT_FOCUS_DOWN", l.left = "SLOT_FOCUS_LEFT", l.right = "SLOT_FOCUS_RIGHT", l;
}({});
const u = function(l, s) {
  switch (l.type) {
    case t.up: {
      if (!l.slot || !this.bv.slots)
        return;
      const o = n(l.slot, this.bv.slots);
      o && o.$el && (s.preventDefault(), o.$el.focus());
      break;
    }
    case t.down: {
      if (!l.slot || !this.bv.slots)
        return;
      const o = c(l.slot, this.bv.slots);
      o && o.$el && (s.preventDefault(), o.$el.focus());
      break;
    }
    case t.left: {
      if (!l.slot || !this.bv.slots)
        return;
      const o = r(l.slot, this.bv.slots);
      o && o.$el && (s.preventDefault(), o.$el.focus());
      break;
    }
    case t.right: {
      if (!l.slot || !this.bv.slots)
        return;
      const o = e(l.slot, this.bv.slots);
      o && o.$el && (s.preventDefault(), o.$el.focus());
      break;
    }
  }
}, n = (l, s) => s.find((o) => o !== null && l !== null && o.cSlot.row === l.$props.row - 1 && o.cSlot.col === l.$props.col), r = (l, s) => s.find((o) => o !== null && l !== null && o.cSlot.row === l.$props.row && o.cSlot.col === l.$props.col - 1), e = (l, s) => s.find((o) => o !== null && l !== null && o.cSlot.row === l.$props.row && o.cSlot.col === l.$props.col + 1), c = (l, s) => s.find((o) => o !== null && l !== null && o.cSlot.row === l.$props.row + 1 && o.cSlot.col === l.$props.col);
export {
  t as SLOTS_FOCUS_ACTION,
  u as dispatchFocusedSlots,
  c as findDownSlot,
  r as findLeftSlot,
  e as findRightSlot,
  n as findUpSlot
};
