/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { getPadding as H, getRect as y, setRect as S } from "../views/common/utils.mjs";
import { BORDER_WIDTH as a } from "../constants/main.mjs";
import { isObject as g } from "@progress/kendo-vue-common";
const b = (t, $, i) => {
  let o = 0;
  const s = (e) => e.nodeType === 8 ? e.parentElement : e.nodeType === 3 ? e.nextElementSibling : e, f = () => {
    if (!t)
      return;
    const e = s(t.$el);
    e && (e.style.minHeight = t.$props.slotStyle && t.$props.slotStyle.minHeight ? t.$props.slotStyle.minHeight : null, o = e.clientHeight);
  }, u = () => {
    if (!i || !t)
      return;
    const e = s(t.$el);
    if (!e || !t.bv.items.length)
      return;
    const l = H(e);
    let m = 0;
    const n = t.cSlot.items.filter((r) => r.refTo);
    n.forEach((r) => {
      const h = t.bv.items.find((d) => d.uid === r.uid);
      if (!h)
        return;
      const {
        height: c
      } = y(h.getElement());
      m += c;
    });
    const p = n.length * a * 2 + m - (l || 0) + (g(i) && i.offsetTop ? i.offsetTop : 0) + (g(i) && i.offsetBottom ? i.offsetBottom : 0);
    n.length ? p > o - l && S(e, {
      height: p
    }, !0) : e && (e.style.minHeight = t.$props.slotStyle && t.$props.slotStyle.minHeight ? t.$props.slotStyle.minHeight : null);
  };
  f(), u();
};
export {
  b as useSlotExpand
};
