/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as a, createVNode as r, isVNode as u } from "vue";
import { ButtonGroup as c, Button as l } from "@progress/kendo-vue-buttons";
function d(e) {
  return typeof e == "function" || Object.prototype.toString.call(e) === "[object Object]" && !u(e);
}
const p = /* @__PURE__ */ a({
  name: "KendoRecurrenceFrequencyEditor",
  emits: {
    change: null
  },
  props: {
    value: String,
    dataItems: Array
  },
  render() {
    let e;
    const {
      value: n,
      dataItems: o
    } = this.$props;
    return r(c, {
      class: "k-scheduler-recurrence-repeat",
      width: "100%"
    }, d(e = o.map(function(t) {
      return r(l, {
        type: "button",
        key: t.value,
        selected: t.value === n,
        onClick: this.handleClick,
        "data-value": t.value,
        togglable: !0
      }, {
        default: () => [t.text]
      });
    }, this)) ? e : {
      default: () => [e]
    });
  },
  methods: {
    handleClick(e) {
      this.$emit("change", e.currentTarget.dataset.value);
    }
  }
});
export {
  p as RecurrenceFrequencyEditor
};
