/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as i, createVNode as a, isVNode as c } from "vue";
import { ButtonGroup as s, Button as d } from "@progress/kendo-vue-buttons";
import { capitalize as p } from "./common.mjs";
function u(e) {
  return typeof e == "function" || Object.prototype.toString.call(e) === "[object Object]" && !c(e);
}
const y = /* @__PURE__ */ i({
  name: "KendoRecurrenceRepeatOnWeekEditor",
  emits: {
    change: null
  },
  props: {
    dataItems: {
      type: Array,
      default: function() {
        return [];
      }
    },
    value: {
      type: Array,
      default: function() {
        return [];
      }
    }
  },
  render() {
    let e;
    const {
      value: t,
      dataItems: o
    } = this.$props;
    return a(s, {
      width: "auto"
    }, u(e = o.map(function(r) {
      let n;
      return a(d, {
        type: "button",
        key: r.value,
        "data-key": r.value,
        selected: t.some((l) => l === r.value),
        togglable: !0,
        onClick: this.handleClick
      }, u(n = p(r.text)) ? n : {
        default: () => [n]
      });
    }, this)) ? e : {
      default: () => [e]
    });
  },
  methods: {
    handleClick(e) {
      const t = Number(e.currentTarget.dataset.key);
      this.$emit("change", this.value.some((o) => o === t) ? this.value.filter((o) => o !== t) : [...this.value, t]);
    }
  }
});
export {
  y as RecurrenceRepeatOnWeekEditor
};
