/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const t=require("@progress/kendo-vue-common"),S=require("@progress/kendo-recurrence"),d=require("@progress/kendo-date-math"),l=require("../utils/main.js"),T=(e,{dateRange:r,fields:n,timezone:o})=>e.map(x(n)).reduce(E(r,o,n),[]).filter(a=>!l.isMaster(a.dataItem,n)),x=e=>r=>({uid:t.getter(e.id||"id")(r),start:t.getter(e.start||"start")(r),startTimezone:t.getter(e.startTimezone||"startTimezone")(r),originalStart:t.getter(e.originalStart||"originalStart")(r),end:t.getter(e.end||"end")(r),endTimezone:t.getter(e.endTimezone||"endTimezone")(r),isAllDay:t.getter(e.isAllDay||"isAllDay")(r),title:t.getter(e.title||"title")(r),description:t.getter(e.description||"description")(r),occurrenceId:t.getter("occurrenceId")(r),recurrenceRule:t.getter(e.recurrenceRule||"recurrenceRule")(r),recurrenceExceptions:t.getter(e.recurrenceExceptions||"recurrenceExceptions")(r),recurrenceId:t.getter(e.recurrenceId||"recurrenceId")(r),dataItem:t.clone(r)}),E=(e,r,n)=>(o,c)=>[...o,...c.recurrenceRule&&(c.recurrenceId===null||c.recurrenceId===void 0)&&l.isMaster(c.dataItem,n)?[...I(c,{dateRange:e,timezone:r,fields:n})]:[c]],I=(e,{dateRange:r,timezone:n,fields:o})=>{const c=e.recurrenceRule,a=S.parseRule({recurrenceRule:c});a.start||(a.start=d.ZonedDate.fromLocalDate(e.start,n)),a.end||(a.end=d.ZonedDate.fromLocalDate(e.end,n));const g=e.recurrenceExceptions;g&&(a.exceptionDates=g.map(u=>d.ZonedDate.fromLocalDate(u,n)));const R=r.zonedStart,L=r.zonedEnd,D=S.expand(a,{rangeStart:d.ZonedDate.fromUTCDate(R,n),rangeEnd:d.ZonedDate.fromUTCDate(L,n)});return D.events.length?D.events.map((u,p)=>{const s=t.clone(e),i=t.clone(e.dataItem);return s.recurrenceId=s.uid,l.setField(i,o.recurrenceId,e.uid),s.originalStart=u.start.toLocalDate(),l.setField(i,o.originalStart,u.start.toLocalDate()),s.start=u.start.toLocalDate(),l.setField(i,o.start,u.start.toLocalDate()),s.end=u.end.toLocalDate(),l.setField(i,o.end,u.end.toLocalDate()),s.occurrenceId=String(p),l.setField(i,"occurrenceId",String(p)),s.dataItem=i,s}):[]};exports.toOccurrences=T;
