/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { getter as n, clone as p } from "@progress/kendo-vue-common";
import { parseRule as T, expand as m } from "@progress/kendo-recurrence";
import { ZonedDate as i } from "@progress/kendo-date-math";
import { isMaster as S, setField as d } from "../utils/main.mjs";
const U = (r, { dateRange: e, fields: t, timezone: o }) => r.map(E(t)).reduce(I(e, o, t), []).filter((a) => !S(a.dataItem, t)), E = (r) => (e) => ({
  uid: n(r.id || "id")(e),
  start: n(r.start || "start")(e),
  startTimezone: n(r.startTimezone || "startTimezone")(e),
  originalStart: n(r.originalStart || "originalStart")(e),
  end: n(r.end || "end")(e),
  endTimezone: n(r.endTimezone || "endTimezone")(e),
  isAllDay: n(r.isAllDay || "isAllDay")(e),
  title: n(r.title || "title")(e),
  description: n(r.description || "description")(e),
  occurrenceId: n("occurrenceId")(e),
  recurrenceRule: n(r.recurrenceRule || "recurrenceRule")(e),
  recurrenceExceptions: n(r.recurrenceExceptions || "recurrenceExceptions")(e),
  recurrenceId: n(r.recurrenceId || "recurrenceId")(e),
  dataItem: p(e)
}), I = (r, e, t) => (o, c) => [
  ...o,
  ...c.recurrenceRule && (c.recurrenceId === null || c.recurrenceId === void 0) && S(c.dataItem, t) ? [...z(c, { dateRange: r, timezone: e, fields: t })] : [c]
], z = (r, { dateRange: e, timezone: t, fields: o }) => {
  const c = r.recurrenceRule, a = T({ recurrenceRule: c });
  a.start || (a.start = i.fromLocalDate(r.start, t)), a.end || (a.end = i.fromLocalDate(r.end, t));
  const D = r.recurrenceExceptions;
  D && (a.exceptionDates = D.map(
    (u) => i.fromLocalDate(u, t)
  ));
  const x = e.zonedStart, L = e.zonedEnd, g = m(a, {
    rangeStart: i.fromUTCDate(x, t),
    rangeEnd: i.fromUTCDate(L, t)
  });
  return g.events.length ? g.events.map((u, R) => {
    const s = p(r), l = p(r.dataItem);
    return s.recurrenceId = s.uid, d(l, o.recurrenceId, r.uid), s.originalStart = u.start.toLocalDate(), d(l, o.originalStart, u.start.toLocalDate()), s.start = u.start.toLocalDate(), d(l, o.start, u.start.toLocalDate()), s.end = u.end.toLocalDate(), d(l, o.end, u.end.toLocalDate()), s.occurrenceId = String(R), d(l, "occurrenceId", String(R)), s.dataItem = l, s;
  }) : [];
};
export {
  U as toOccurrences
};
