/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { canUseDOM as a } from "@progress/kendo-vue-common";
const l = (t, o = 0, e = 0, n = []) => {
  if (t.length <= o)
    return [n];
  const i = [];
  return t[o].data.map((d) => {
    i.push(
      ...l(
        t,
        o + 1,
        e + 1,
        [...n, {
          ...d,
          field: t[o].field,
          valueField: t[o].valueField,
          colorField: t[o].colorField,
          multiple: t[o].multiple
        }]
      )
    );
  }), i;
};
function s(t, o) {
  const e = [];
  if (!o || !o.length)
    return e;
  if (t && t.resources && t.resources.length) {
    const n = t.resources;
    for (let i = 0; i < n.length; i++) {
      const d = o.find((h) => h.name === n[i]);
      e.push(d);
    }
  }
  return e;
}
const g = (t, o = t.length - 1) => {
  const e = Math.max(0, o), n = [];
  t && t.length || (t = [{}]);
  const i = (t[e].data || []).map(
    (f) => ({ ...f, text: f[t[e].textField] })
  ) || [], d = i.length;
  let h = 1;
  for (let f = 0; f <= e; f++)
    h *= (t[f].data || []).length || 1;
  for (let f = 0; f < h; f++)
    i[f % d] && n.push(i[f % d]);
  return n;
}, r = (t) => {
  if (!t)
    return { top: 0, left: 0, width: 0, height: 0, right: 0 };
  const o = t.offsetTop, e = t.offsetLeft, n = t.offsetParent ? t.offsetParent.offsetWidth - (t.offsetLeft + t.offsetWidth) : 0, i = t.offsetWidth, d = t.offsetHeight;
  return {
    top: o,
    left: e,
    right: n,
    width: i,
    height: d
  };
}, u = (t, o = !1) => a ? parseFloat(window.getComputedStyle(t)[o ? "paddingLeft" : "paddingTop"] || "0") + parseFloat(window.getComputedStyle(t)[o ? "paddingRight" : "paddingBottom"] || "0") : 0, m = (t, o = !1) => a ? parseFloat(window.getComputedStyle(t)[o ? "borderLeftWidth" : "borderTopWidth"] || "0") + parseFloat(window.getComputedStyle(t)[o ? "borderRightWidth" : "borderBottomWidth"] || "0") : 0, w = (t, o, e = !1) => {
  t && (o.top !== void 0 && (t.style.top = `${o.top}px`), o.left !== void 0 && (t.style.left = `${o.left}px`), o.width !== void 0 && (t.style.width = `${o.width}px`), o.height !== void 0 && !e && (t.style.height = typeof o.height == "number" ? `${o.height}px` : o.height), e && (t.style.minHeight = o.height !== void 0 && o.height > 0 ? `${o.height}px` : ""));
};
export {
  g as expandResources,
  m as getBorders,
  u as getPadding,
  r as getRect,
  w as setRect,
  l as toFlatGroupResources,
  s as toGroupResources
};
