/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as l, createVNode as n } from "vue";
import { provideLocalizationService as a } from "@progress/kendo-vue-intl";
import { allDay as e, messages as i } from "../../messages/main.mjs";
const d = /* @__PURE__ */ l({
  name: "KendoDayViewAllDayRowContent",
  props: {
    groupIndex: Number
  },
  inject: {
    kendoLocalizationService: {
      default: null
    }
  },
  render() {
    const o = a(this);
    return (
      // fragment
      n("div", {
        class: "k-scheduler-cell k-heading-cell k-side-cell k-scheduler-times-all-day"
      }, [o.toLanguageString(e, i[e])])
    );
  }
});
export {
  d as DayViewAllDayRowContent
};
