/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as e, createVNode as n } from "vue";
const o = /* @__PURE__ */ e({
  name: "KendoDayViewGroupRowContent",
  props: {
    rangeIndex: Number
  },
  render() {
    return n("div", {
      class: "k-scheduler-cell k-side-cell",
      "data-range-index": this.$props.rangeIndex
    }, null);
  }
});
export {
  o as DayViewGroupRowContent
};
