/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as o, createVNode as t } from "vue";
import { classNames as s } from "@progress/kendo-vue-common";
import { TimeHeaderCell as n } from "../../components/TimeHeaderCell.mjs";
const i = /* @__PURE__ */ o({
  name: "KendoDayViewRowContent",
  props: {
    contentSlot: Object,
    // slot: Object,
    isMaster: Boolean,
    isLast: Boolean,
    timeHeaderCell: [String, Function, Object]
  },
  render() {
    const {
      contentSlot: e
    } = this.$props;
    return this.$props.isMaster ? t(n, {
      as: this.$props.timeHeaderCell,
      date: e.zonedStart,
      start: e.zonedStart,
      end: e.zonedEnd,
      class: s("k-side-cell", {
        "k-major-cell": !this.$props.isLast
      })
    }, null) : t("div", {
      class: "k-scheduler-cell k-heading-cell k-side-cell"
    }, null);
  }
});
export {
  i as DayViewRowContent
};
