/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const s=require("vue"),i=require("../../constants/main.js"),c=require("../../slots/SchedulerEditSlot.js"),d=require("./DayViewAllDayRowContent.js"),u=0,p=s.defineComponent({name:"KendoDayViewVerticalRow",props:{editable:[Object,Boolean],dayRanges:Array,daySlots:Array,timeSlots:Array,onDataaction:Function},inject:{ri:{default:null},setSlots:{default:null}},provide(){return{ksSlots:this.ksSlots}},data(){const t=this.daySlots,e=this.ri.groupIndex;return{ksSlots:{cSlots:this.calculateRanges(t,e,this.dayRanges)}}},watch:{currentCellSlots(t){this.ksSlots.cSlots=t}},computed:{currentCellSlots(){const t=this.daySlots,e=this.ri.groupIndex;return this.calculateRanges(t,e,this.dayRanges)}},render(){const t=this.$props.editSlot||c.SchedulerEditSlot,e=this.ri.groupIndex,{timeSlots:n}=this.$props;return s.createVNode("div",{class:"k-scheduler-row"},[s.createVNode(d.DayViewAllDayRowContent,{groupIndex:e},null),this.currentCellSlots.map(function(a,o){const r=n.filter(l=>l.group.index===e&&l.range.index===u).length;return s.createVNode(t,{slotRender:this.$props.slotRender,viewSlot:this.$props.viewSlot,form:this.$props.form,index:o,onDataaction:this.handleDataAction,className:"k-scheduler-alldays-slot",row:r*(e||0)+(e||0)*i.GRID_OFFSET,col:o,expandable:!0,editable:this.$props.editable},null)},this)])},methods:{handleDataAction(t){this.$emit("dataaction",t)},calculateRanges(t,e,n){return n.map(function(a,o){return t.filter(r=>r.group.index===e&&r.range.index===o)}).flat()}}});exports.DayViewVerticalRow=p;
