/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
"use strict";Object.defineProperty(exports,Symbol.toStringTag,{value:"Module"});const i=require("vue"),a=require("../../slots/SchedulerEditSlot.js"),d=require("@progress/kendo-vue-common"),h=require("@progress/kendo-vue-intl"),u=i.defineComponent({name:"KendoMonthViewBody",props:{editable:[Object,Boolean],groupIndex:Number,rangeIndex:Number,itemsPerSlot:Number,monthSlots:Array,ranges:Array,slotRender:[String,Function,Object],viewSlot:[String,Function,Object],onDataaction:Function},inject:{ri:{default:{}},ks:{default:null},setActiveDate:{default:null},setActiveViewName:{default:null},setSlots:{default:null},kendoIntlService:{default:null}},provide(){return{ksSlots:this.ksSlots}},data(){const t=this.groupIndex!==void 0?this.groupIndex:this.ri.groupIndex;return{ksSlots:{cSlots:this.monthSlots.filter(e=>e.group.index===t&&e.range.index===this.rangeIndex)}}},watch:{currentCellSlots(t){this.ksSlots.cSlots=t}},computed:{currentCellSlots(){const t=this.groupIndex!==void 0?this.groupIndex:this.ri.groupIndex;return this.monthSlots.filter(e=>e.group.index===t&&e.range.index===this.rangeIndex)}},render(){this.intl=h.provideIntlService(this);const t=this.$props.editSlot||a.SchedulerEditSlot,e=this,n=this.groupIndex!==void 0?this.groupIndex:this.ri.groupIndex;return i.createVNode("div",{class:"k-scheduler-row",key:this.rangeIndex},[this.currentCellSlots.map(function(o,r,s){return i.createVNode(t,{className:d.classNames({"k-other-month":this.isOtherMonth(o,this.ks.currentDate)}),slotRender:this.$props.slotRender,viewSlot:e.$props.viewSlot,form:e.$props.form,index:r,navDay:!0,itemsPerSlot:e.itemsPerSlot,expandable:{offsetTop:30,offsetBottom:e.itemsPerSlot<o.items.length?15:0},onDataaction:e.handleDataAction,col:e.ks.orientation==="horizontal"?s.length*(n||0)+r:r,row:e.ks.orientation==="horizontal"?e.rangeIndex:e.ranges.length*(n||0)+e.rangeIndex,editable:e.$props.editable,onShowmoreitems:l=>e.handleShowMoreItemsClick(l,o)},null)},this)])},methods:{handleShowMoreItemsClick(t,e){const n=this.ks.views.find(o=>o.name==="day");!this.setActiveViewName||!n||!n.name||!e||(this.setActiveViewName(n.name,t),this.setActiveDate(e.start,t))},handleDataAction(t){this.$emit("dataaction",t)},isOtherMonth(t,e){return t.start.getMonth()<e.getMonth()||t.start.getMonth()>e.getMonth()}}});exports.MonthViewBody=u;
