/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as n, createVNode as e } from "vue";
import { allEvents as i, messages as o } from "../../messages/main.mjs";
import { provideLocalizationService as t } from "@progress/kendo-vue-intl";
const c = /* @__PURE__ */ n({
  name: "KendoTimelineViewAllEventsRowContent",
  props: {},
  inject: {
    kendoLocalizationService: {
      default: null
    }
  },
  render() {
    const l = t(this);
    return e("div", {
      class: "k-sticky-cell"
    }, [e("div", {
      class: "k-scheduler-cell k-heading-cell k-side-cell k-scheduler-times-all-day",
      "data-range-index": 0
    }, [l.toLanguageString(i, o[i])])]);
  }
});
export {
  c as TimelineViewAllEventsRowContent
};
